Bug 288578 - Akonaditray segfaults when selecting "Make backup"
Summary: Akonaditray segfaults when selecting "Make backup"
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-09 16:56 UTC by Andreas K. Huettel
Modified: 2012-12-14 12:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Huettel 2011-12-09 16:56:28 UTC
Application: akonaditray (0.1)
KDE Platform Version: 4.7.90 (4.8 Beta2 (4.7.90) (Compiled from sources)
Qt Version: 4.7.4
Operating System: Linux 2.6.39-gentoo-r3 x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:

Select "Make backup" in akonaditray right-click menu -> bang!

-- Backtrace:
Application: AkonadiTray (akonaditray), signal: Segmentation fault
[KCrash Handler]
#6  size (this=0x7fffc6352860) at /usr/include/qt4/QtCore/qstringbuilder.h:288
#7  operator QString (this=0x7fffc6352860) at /usr/include/qt4/QtCore/qstringbuilder.h:103
#8  Tray::Global::init (this=0x7fffc6352860) at /opt/virtual/tmp-portage/portage/kde-base/kdepim-runtime-4.7.90/work/kdepim-runtime-4.7.90/tray/global.cpp:64
#9  0x0000000000416b41 in Tray::Global::dbdriver (this=0x7fffc6352860) at /opt/virtual/tmp-portage/portage/kde-base/kdepim-runtime-4.7.90/work/kdepim-runtime-4.7.90/tray/global.cpp:78
#10 0x000000000040b308 in Backup::possible (this=0x1f219b0) at /opt/virtual/tmp-portage/portage/kde-base/kdepim-runtime-4.7.90/work/kdepim-runtime-4.7.90/tray/backup.cpp:52
#11 0x000000000040f86a in BackupAssistant::BackupAssistant (this=0x1e8b900, parent=<value optimized out>) at /opt/virtual/tmp-portage/portage/kde-base/kdepim-runtime-4.7.90/work/kdepim-runtime-4.7.90/tray/backupassistant.cpp:36
#12 0x0000000000409317 in Dock::slotStartBackup (this=0x1e97380) at /opt/virtual/tmp-portage/portage/kde-base/kdepim-runtime-4.7.90/work/kdepim-runtime-4.7.90/tray/dock.cpp:140
#13 0x000000000040adf8 in Dock::qt_metacall (this=0x1e97380, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0x7fffc6352d40) at /opt/virtual/tmp-portage/portage/kde-base/kdepim-runtime-4.7.90/work/kdepim-runtime-4.7.90_build/tray/dock.moc:112
#14 0x00007f8e2cb61847 in QMetaObject::activate (sender=0x1e89b30, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffc6352d40) at kernel/qobject.cpp:3278
#15 0x00007f8e2d043a02 in QAction::triggered (this=<value optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#16 0x00007f8e2d043bfa in QAction::activate (this=0x1e89b30, event=<value optimized out>) at kernel/qaction.cpp:1257
#17 0x00007f8e2d045142 in trigger (this=0x1e89b30, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x1e81200) at kernel/qaction.h:218
#18 QAction::qt_metacall (this=0x1e89b30, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x1e81200) at .moc/release-shared/moc_qaction.cpp:174
#19 0x00007f8e2cb6134a in QObject::event (this=0x1e89b30, e=<value optimized out>) at kernel/qobject.cpp:1217
#20 0x00007f8e2d043cba in QAction::event (this=<value optimized out>, e=<value optimized out>) at kernel/qaction.cpp:1187
#21 0x00007f8e2d04a064 in QApplicationPrivate::notify_helper (this=0x1cc73a0, receiver=0x1e89b30, e=0x1e4cc30) at kernel/qapplication.cpp:4481
#22 0x00007f8e2d04ebda in QApplication::notify (this=<value optimized out>, receiver=0x1e89b30, e=0x1e4cc30) at kernel/qapplication.cpp:4360
#23 0x00007f8e2e8bb086 in KApplication::notify (this=0x7fffc63538d0, receiver=0x1e89b30, event=0x1e4cc30) at /opt/virtual/tmp-portage/portage/kde-base/kdelibs-4.7.90/work/kdelibs-4.7.90/kdeui/kernel/kapplication.cpp:311
#24 0x00007f8e2cb4d07b in QCoreApplication::notifyInternal (this=0x7fffc63538d0, receiver=0x1e89b30, event=0x1e4cc30) at kernel/qcoreapplication.cpp:787
#25 0x00007f8e2cb50834 in sendEvent (receiver=0x0, event_type=0, data=0x1c9d8d0) at kernel/qcoreapplication.h:215
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1c9d8d0) at kernel/qcoreapplication.cpp:1428
#27 0x00007f8e2cb77e33 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#28 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#29 0x00007f8e28859f6e in g_main_dispatch (context=0x1cc98e0) at gmain.c:2441
#30 g_main_context_dispatch (context=0x1cc98e0) at gmain.c:3014
#31 0x00007f8e2885a758 in g_main_context_iterate (context=0x1cc98e0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3092
#32 0x00007f8e2885a9ed in g_main_context_iteration (context=0x1cc98e0, may_block=1) at gmain.c:3155
#33 0x00007f8e2cb77fcf in QEventDispatcherGlib::processEvents (this=0x1cc7220, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#34 0x00007f8e2d0ef75e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f8e2cb4c422 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007f8e2cb4c664 in QEventLoop::exec (this=0x7fffc6353800, flags=...) at kernel/qeventloop.cpp:201
#37 0x00007f8e2cb50aeb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#38 0x0000000000408dfc in main (argc=3, argv=0x7fffc6353b08) at /opt/virtual/tmp-portage/portage/kde-base/kdepim-runtime-4.7.90/work/kdepim-runtime-4.7.90/tray/main.cpp:75

Reported using DrKonqi
Comment 1 Laurent Montel 2012-12-14 12:28:41 UTC
Git commit 783daa73cc1d2c2f0efe3545b3aecf86b9d5d8b8 by Montel Laurent.
Committed on 14/12/2012 at 13:28.
Pushed by mlaurent into branch 'master'.

Fix Bug 288578 - Akonaditray segfaults when selecting "Make backup"

FIXED-IN: 4.10

M  +8    -2    tray/global.cpp

http://commits.kde.org/kdepim-runtime/783daa73cc1d2c2f0efe3545b3aecf86b9d5d8b8